using System;
using System.Windows.Forms;
using J4L.RBarcode;


namespace MyForm {
	class DMForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button btnRefresh;
		private System.Windows.Forms.Button btnExit;
		private System.Windows.Forms.TextBox textDotSize;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TextBox txtMargin;
		private System.Windows.Forms.Label label;
		private System.Windows.Forms.TextBox txtData;
		private System.Windows.Forms.ComboBox cEncoding;
		private RDatamatrix bc;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TabControl tabControl;
		private System.Windows.Forms.TabPage tabOutput;		
		private System.Windows.Forms.TabPage tabData;				

		private System.Windows.Forms.ComboBox cFormat;
		
		public DMForm()
		{
			InitializeComponent();
			cEncoding.SelectedIndex=0;
			cFormat.SelectedIndex=0;
		}
		
	public static void Main(string[] args)
		{
			Application.Run(new DMForm());
		}		
		
		// THIS METHOD IS MAINTAINED BY THE FORM DESIGNER
		// DO NOT EDIT IT MANUALLY! YOUR CHANGES ARE LIKELY TO BE LOST
		void btnRefreshClick(object sender, System.EventArgs e)
		{
			bc.Code=txtData.Text;
			if (cFormat.SelectedIndex>=0) bc.PreferredFormat= cFormat.SelectedIndex-1;
			if (cEncoding.SelectedIndex>=0) bc.Encoding=(RDatamatrix.tEncoding) cEncoding.SelectedIndex;
			bc.DotsPixel=Convert.ToInt16(this.textDotSize.Text);
			bc.BarTopMargin=Convert.ToInt16(this.txtMargin.Text);
			bc.BarLeftMargin=Convert.ToInt16(this.txtMargin.Text);			
			bc.Invalidate();	
			this.tabControl.SelectedIndex = 0;	
		}
		



		
		void btnExitClick(object sender, System.EventArgs e)
		{
			this.Close();
		}
		
		void InitializeComponent() {
			this.cFormat = new System.Windows.Forms.ComboBox();
			this.label2 = new System.Windows.Forms.Label();
			this.bc = new RDatamatrix();
			this.cEncoding = new System.Windows.Forms.ComboBox();
			this.txtData = new System.Windows.Forms.TextBox();
			this.label = new System.Windows.Forms.Label();
			this.txtMargin = new System.Windows.Forms.TextBox();
			this.label4 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.textDotSize = new System.Windows.Forms.TextBox();
			this.btnExit = new System.Windows.Forms.Button();
			this.btnRefresh = new System.Windows.Forms.Button();
		    this.tabControl = new System.Windows.Forms.TabControl();
		    this.tabOutput= new System.Windows.Forms.TabPage();
		    this.tabData= new System.Windows.Forms.TabPage();
		    
			// 
			// tabControl
			// 
			this.tabControl.Controls.Add(this.tabOutput);
			this.tabControl.Controls.Add(this.tabData);			
			this.tabControl.Location = new System.Drawing.Point(8, 4);
			
			this.tabControl.SelectedIndex = 0;
			this.tabControl.Size = new System.Drawing.Size(440, 222);
			
			//this.tabControl.SelectedIndexChanged += new System.EventHandler(this.TabControlSelectedIndexChanged);		    
			
			this.tabData.Location = new System.Drawing.Point(4, 22);			
			this.tabData.Size = new System.Drawing.Size(432, 198);			
			this.tabData.Text = "Data";
			
			this.tabOutput.Location = new System.Drawing.Point(4, 22);			
			this.tabOutput.Size = new System.Drawing.Size(432, 198);			
			this.tabOutput.Text = "Symbol";			

			// 
			// cFormat
			// 
			this.cFormat.Items.Add("AUTO");
			this.cFormat.Items.Add("C10X10");
			this.cFormat.Items.Add("C12X12");
			this.cFormat.Items.Add("C14X14");
			this.cFormat.Items.Add("C16X16");
			this.cFormat.Items.Add("C18X18");
			this.cFormat.Items.Add("C20X20");
			this.cFormat.Items.Add("C22X22");
			this.cFormat.Items.Add("C24X24");
			this.cFormat.Items.Add("C26X26");
			this.cFormat.Items.Add("C32X32");
			this.cFormat.Items.Add("C36X36");
			this.cFormat.Items.Add("C40X40");
			this.cFormat.Items.Add("C44X44");
			this.cFormat.Items.Add("C48X48");
			this.cFormat.Items.Add("C52X52");
			this.cFormat.Items.Add("C64X64");
			this.cFormat.Items.Add("C72X72");
			this.cFormat.Items.Add("C80X80");
			this.cFormat.Items.Add("C88X88");
			this.cFormat.Items.Add("C96X96");
			this.cFormat.Items.Add("C104X104");
			this.cFormat.Items.Add("C120X120");
			this.cFormat.Items.Add("C132X132");
			this.cFormat.Items.Add("C144X144");
			this.cFormat.Items.Add("C8X18");
			this.cFormat.Items.Add("C8X32");
			this.cFormat.Items.Add("C12X26");
			this.cFormat.Items.Add("C12X36");
			this.cFormat.Items.Add("C16X36");
			this.cFormat.Items.Add("C16X48");
			this.cFormat.Location = new System.Drawing.Point(144, 80);
			this.cFormat.Size = new System.Drawing.Size(112, 21);
			this.cFormat.Text = "AUTO";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(24, 80);
			this.label2.Text = "Format";
			// 
			// bc
			// 
			this.bc.Location = new System.Drawing.Point(20, 12);
			this.bc.Size = new System.Drawing.Size(360, 196);
			// 
			// cEncoding
			// 
			this.cEncoding.Items.Add("ASCII");
			this.cEncoding.Items.Add("C40");
			this.cEncoding.Items.Add("TEXT");
			this.cEncoding.Items.Add("BINARY");
			this.cEncoding.Items.Add("NONE");
			this.cEncoding.Items.Add("AUTO");
			this.cEncoding.Location = new System.Drawing.Point(144, 48);
			this.cEncoding.Size = new System.Drawing.Size(112, 21);
			this.cEncoding.Text = "AUTO";
			// 
			// txtData
			// 
			this.txtData.Location = new System.Drawing.Point(88, 16);
			this.txtData.Size = new System.Drawing.Size(272, 20);
			this.txtData.Text = "This is a Datamatrix barcode";
			// 
			// label
			// 
			this.label.Location = new System.Drawing.Point(24, 16);
			this.label.Size = new System.Drawing.Size(40, 23);
			this.label.Text = "Data";
			// 
			// txtMargin
			// 
			this.txtMargin.Location = new System.Drawing.Point(144, 144);
			this.txtMargin.Size = new System.Drawing.Size(80, 20);
			this.txtMargin.Text = "20";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(24, 144);
			this.label4.Size = new System.Drawing.Size(56, 23);
			this.label4.Text = "Margin";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(24, 48);
			this.label6.Size = new System.Drawing.Size(120, 23);
			this.label6.Text = "Encoding";
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(24, 112);
			this.label7.Size = new System.Drawing.Size(64, 23);
			this.label7.Text = "Dot Size";
			// 
			// textDotSize
			// 
			this.textDotSize.Location = new System.Drawing.Point(144, 112);
			this.textDotSize.Size = new System.Drawing.Size(80, 20);
			this.textDotSize.Text = "4";
			// 
			// btnExit
			// 
			this.btnExit.Location = new System.Drawing.Point(284, 230);
			this.btnExit.Text = "Exit";
			this.btnExit.Click += new System.EventHandler(this.btnExitClick);
			// 

			// btnRefresh
			// 
			this.btnRefresh.Location = new System.Drawing.Point(44, 230);
			this.btnRefresh.Text = "Refresh";
			this.btnRefresh.Click += new System.EventHandler(this.btnRefreshClick);
			// 
			// DMForm
			// 
			this.ClientSize = new System.Drawing.Size(400, 282);
			this.tabData.Controls.Add(this.txtMargin);
			this.tabData.Controls.Add(this.textDotSize);
			this.tabData.Controls.Add(this.label4);
			this.tabData.Controls.Add(this.label7);
			this.tabData.Controls.Add(this.cEncoding);
			this.tabData.Controls.Add(this.label6);
			this.tabData.Controls.Add(this.cFormat);
			this.tabData.Controls.Add(this.label2);
			this.tabData.Controls.Add(this.txtData);
			this.tabData.Controls.Add(this.label);
			this.tabOutput.Controls.Add(this.bc);
			this.Controls.Add(tabControl);
			this.Controls.Add(this.btnRefresh);
			this.Controls.Add(this.btnExit);

		}


	} // class
} // namespace
